<main *ngIf="project">
  <mat-card class="mat-elevation-z5" style="margin: 5px">
    <mat-card-header *ngIf="!!user">
      <div class="example-header-image" mat-card-avatar></div>
      <mat-card-title>{{ project.owner.local.username }}</mat-card-title>
      <mat-card-subtitle>
        <span>
          {{ project.owner.email.address }}
        </span>
        <br>
        <span>
          {{ project.description }}
        </span>
        <br>
        <span>
          {{ project.investor.length + ' investor(s)' }}
        </span>
      </mat-card-subtitle>
    </mat-card-header>
    <mat-card-content>
      <main style="text-align: center;">
        <p *ngIf="!!user">Public: {{ project.votes.public.length }} <br> Sponsor: {{ project.votes.sponsor.length }}</p>
        <h3 [title]="project.description">
          {{ project.title }} - <i [title]="project.category.description">{{ project.category.name }}</i>
        </h3>
        <p *ngIf="!!user === false">
          {{ project.description }}
        </p>
      </main>
      <mat-divider></mat-divider>
      <quill-view-html *ngIf="!!user" [content]="project.info" theme="snow"></quill-view-html>
    </mat-card-content>
    <app-card-comment *ngIf="!!user" [comments]="project.comments" [user]="user"></app-card-comment>
    <mat-card-actions align="end">
      <button (click)="voteProject(project)" color="accent" mat-button>
        {{ alreadyLiked ? 'UNLIKE' : 'LIKE'}}
      </button>
      <button (click)="supportProject(project)" *ngIf="!!user" color="warn" mat-button>
        {{ alreadyInvest ? 'END INVEST' : 'INVEST' }}
      </button>
      <button (click)="commentProject(project)" *ngIf="!!user" color="primary" mat-button>COMMENT</button>
    </mat-card-actions>
  </mat-card>
</main>
